/*
 * $Id: HtmlException.java 19 2008-03-25 13:46:11Z nori090 $
 *
 * Copyright 2004, Kumasoft.
 */

package lib2chj.util.html;

import java.io.IOException;

/**
 * The excepton to notify the HTML parsing error.
 * 
 * @version $Revision: 19 $
 */
public class HtmlException
    extends IOException {
    /**
     * Create an empty exception.
     */
    public HtmlException() {
        this( "" );
    }

    /**
     * Create new exception with the given information.
     */
    public HtmlException( String detail ) {
        super( detail );
    }

    public HtmlException( String message, Throwable cause ) {
        super( message, cause );
    }

    public HtmlException( Throwable cause ) {
        super( cause );
    }
    
}
